<template>
  <v-content
    color="secondary"
    fluid
  >
    <v-container
      text-center
      fluid
      class="px-0 mb-n3"
    >
      <v-snackbar
        v-if="displayVerifiedMessage"
        v-model="snackbar"
        top
        multi-line
        color="info"
        vertical
      >
        <div>
          {{ $t('snackbar1') }}
          <a :href="$t('profileLink')">
            " {{ $t('myProfile') }} "
          </a>
          {{ $t('snackbar2') }}
        </div>
        <v-btn
          color="info"
          elevation="0"
          @click="snackbar = false"
        >
          <v-icon
            color="primary"
          >
            mdi-close
          </v-icon>
        </v-btn>
      </v-snackbar>
      <v-snackbar
        v-if="displayDeleteAccount"
        v-model="snackbar"
        top
        multi-line
        color="info"
        vertical
      >
        <div>
          {{ $t('snackbar-account-delete') }}
        </div>
        <v-btn
          color="secondary"
          elevation="0"
          @click="snackbar = false"
        >
          <v-icon
            color="primary"
          >
            mdi-close
          </v-icon>
        </v-btn>
      </v-snackbar>
        
      <v-row v-if="displayUnsubscribeEmail">
        <v-col>
          <v-snackbar
            v-model="snackbar"
            top
            multi-line
            color="info"
            vertical
          >
            <div>
              {{ displayUnsubscribeEmail }}
            </div>
            <v-btn
              color="info"
              elevation="0"
              @click="snackbar = false"
            >
              <v-icon
                color="primary"
              >
                mdi-close
              </v-icon>
            </v-btn>
          </v-snackbar>
        </v-col>
      </v-row>
      <!-- Title and subtitle -->
      <v-row
        align="center"
        justify="center"
      >
        <v-col
          cols="6"
          lg="5"
          class="text-center white mt-12 pt-12"
        >
          <p class="display-1 font-weight-bold primary--text">
            {{ $t('title1') }}
          </p>
          <search
            class-align-publish-button="text-right"
            class-align-search-button="text-left"
            full-size
            :geo-search-url="geoSearchUrl"
            :geo-complete-results-order="geoCompleteResultsOrder"
            :geo-complete-palette="geoCompletePalette"
            :geo-complete-chip="geoCompleteChip"
            :image-swap="$t('urlImageSwap')"
            :punctual-date-optional="punctualDateOptional"
            :regular="regular"
            :user="user"
          />
        </v-col>
        <v-col
          cols="4"
          lg="3"
          class="text-center white mt-12 pt-12"
        >
          <v-img
            :src="$t('logoMobiSdis')" 
            height="250"
            contain
          />
        </v-col>
      </v-row>

      <!-- relaypoints -->
      <v-row
        dense
        justify="center"
      >
        <v-col
          align="center"
          cols="12"
        >
          <v-btn
            rounded
            color="primary"
            :href="$t('route.relayPoints')"
            dark
            class="elevation-0"
          >
            {{ $t('button.relayPoints') }}
          </v-btn>
        </v-col>
      </v-row>
     
      <!-- cards -->
      <v-row
        align="center"
        justify="center"
      >
        <v-col
          cols="12"
        >
          <home-content
            :community-display="communityDisplay"
            :event-display="eventDisplay"
            :solidary-display="solidaryDisplay"
          />
        </v-col>
      </v-row>

      <!-- partner -->
      <v-card
        align="middle"
        style="background: linear-gradient(white, yellow);"
        height="250"
        flat
      >
        <v-row
          align="center"
          justify="center"
        > 
          <v-col
            cols="2"
            class="mt-10"
          >
            <a
              :href="$t('urlSdis95')"
              target="_blank"
            >
              <v-img
                :src="$t('urlLogoSdis95')" 
                height="130"
                contain
              />
            </a>
          </v-col>
          <v-col
            cols="2"
            class="mt-10"
          >
            <a
              :href="$t('urlSdis31')"
              target="_blank"
            >
              <v-img
                :src="$t('urlLogoSdis31')" 
                height="130"
                contain
                class="mr-6"
              />
            </a>
          </v-col>
          <v-col
            cols="2"
            class="mt-10"
          >
            <a
              :href="$t('urlSdis13')"
              target="_blank"
            >
              <v-img
                :src="$t('urlLogoSdis13')"
                height="100"
                contain
              />
            </a>
          </v-col>
          <v-col
            cols="2"
            class="mt-10 ml-10"
          >
            <a
              :href="$t('urlSdis34')"
              target="_blank"
            >
              <v-img
                :src="$t('urlLogoSdis34')"
                height="130"
                contain
              />
            </a>
          </v-col>
          <v-col
            cols="2"
            class="mt-10"
          >
            <a
              :href="$t('urlSdis83')"
              target="_blank"
            >
              <v-img
                :src="$t('urlLogoSdis83')"
                height="100"
                contain
              />
            </a>
          </v-col>
        </v-row>
      </v-card>
      <!-- end partner -->
    </v-container>
    <m-dialog
      v-if="isEecAvailable" 
      :eec-instance="eecInstance"
    />
  </v-content>
</template>

<script>
import {merge} from "lodash";
import {messages_en, messages_fr, messages_eu} from "@translations/components/home/Home/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/home/Home/";
import Search from "@components/carpool/search/Search";
import HomeContent from "@clientComponents/home/HomeContent";
import MDialog from "@components/utilities/MDialog";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    Search,
    HomeContent,
    MDialog
  },
  props: {
    geoSearchUrl: {
      type: String,
      default: ""
    },
    user: {
      type: Object,
      default: null
    },
    regular: {
      type: Boolean,
      default: false
    },
    punctualDateOptional: {
      type: Boolean,
      default: false
    },
    debug: {
      type: Boolean,
      default: false
    },
    position: {
      type: String,
      default: ""
    },
    transitionName: {
      type: String,
      default: ""
    },
    solidaryDisplay: {
      type: Boolean,
      default: false
    },
    eventDisplay: {
      type: Boolean,
      default: false
    },
    displayDeleteAccount: {
      type: Number,
      default: 0
    },
    displayUnsubscribeEmail: {
      type: String,
      default: ""
    },
    communityDisplay: {
      type: Boolean,
      default: false
    },    
    locale: {
      type: String,
      default: "fr"
    },
    // params to add to the publish and search routes
    params: {
      type: Object,
      default: null
    },
    geoCompleteResultsOrder: {
      type: Array,
      default: null
    },
    geoCompletePalette: {
      type: Object,
      default: () => ({})
    },
    geoCompleteChip: {
      type: Boolean,
      default: false
    },
    eecInstance: {
      type: Object,
      default: () => ({})
    }
  },
  data () {
    return {
      snackbar: true,
      displayVerifiedMessage: false,
    }
  },
  computed: {
    isEecAvailable() {
      return this.eecInstance && this.eecInstance.available;
    }
  },
  mounted() {
    this.checkVerifiedPhone();
  },
  methods:{
    checkVerifiedPhone() {
      if (this.user !==null && this.user.telephone !== null) {
        this.displayVerifiedMessage = this.user.phoneValidatedDate ? false : true;
      }
    }
  }
};
</script>